QuattroGraphInternal::SubDocument Class Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a QuattroGraphInternal. More...

Inheritance diagram for QuattroGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (QuattroGraph &graphParser, std::shared_ptr< Textbox > const &textbox, std::shared_ptr< WPSStream > const &stream)
| constructor for a textbox document
| SubDocument (QuattroGraph &graphParser, librevenge::RVNGString const &text)
| constructor for a text entry
| ~SubDocument () final
| destructor
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator==
void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor
| ~WKSSubDocument () override
| destructor
WKSParser * | parser () const
| returns the parser
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator =
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
QuattroGraph & | m_graphParser
| the graph parser
std::shared_ptr< Textbox > | m_textbox
| the textbox data
std::shared_ptr< WPSStream > | m_stream
| the file stream
librevenge::RVNGString | m_text
| the main text

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a QuattroGraphInternal.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

QuattroGraphInternal::SubDocument::SubDocument | ( | QuattroGraph & | graphParser,
|  | std::shared_ptr< Textbox > const & | textbox,
|  | std::shared_ptr< WPSStream > const & | stream )
| inline

constructor for a textbox document

Referenced by operator==().

## ◆ SubDocument() [2/2]

QuattroGraphInternal::SubDocument::SubDocument | ( | QuattroGraph & | graphParser,
|  | librevenge::RVNGString const & | text )
| inline

constructor for a text entry

## ◆ ~SubDocument()

QuattroGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator==()

bool QuattroGraphInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void QuattroGraphInternal::SubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType )
| finalvirtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

## ◆ m_graphParser

QuattroGraph& QuattroGraphInternal::SubDocument::m_graphParser

the graph parser

Referenced by operator==(), parse(), SubDocument(), and SubDocument().

## ◆ m_stream

std::shared_ptr<WPSStream> QuattroGraphInternal::SubDocument::m_stream

the file stream

Referenced by operator==(), parse(), SubDocument(), and SubDocument().

## ◆ m_text

librevenge::RVNGString QuattroGraphInternal::SubDocument::m_text

the main text

Referenced by operator==(), parse(), SubDocument(), and SubDocument().

## ◆ m_textbox

std::shared_ptr<Textbox> QuattroGraphInternal::SubDocument::m_textbox

the textbox data

Referenced by operator==(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- QuattroGraph.cpp